Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Open the API in a window with appropriate params and headers instead of using the Curl. User is navigated to Google login OAuth screen. On successful login, listen on window object for message where event listener returns data in its callback function.

Sample code to listen to event data:

window.addEventListener(‘message’, function(e) { if (e.data && e.data.page === ‘social_media_posting’) { const { actionType, page, platform, placement, accountId, reconnectAccounts } = e.data } }, false)

Event Data Response:

{ actionType: string, Ex: “close” page: string, Ex: “social-media-posting” platform: string, Ex: “google” placement: string, Ex: “placement” accountId: string, Ex: “658a9b6833b91e0ecb8f3958” reconnectAccounts: string[]] Ex: [“658a9b6833b91e0ecb834acd”, “efd2daa9b6833b91e0ecb8f3511”] }

The accountId retrieved from above data can be used to fetch Google account details using below API -

API: ‘/social-media-posting/oauth/google/accounts/:accountId’ Method: GET
GET https://services.leadconnectorhq.com/social-media-posting/oauth/google/start

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

locationId
string
default:"w37swmmLbA02zgqKPpxITe2"
required
Account Id
userId
string
default:"u37swmmLbA02zgqKPpxITe2"
required
User Id
page
string
default:"integration"
Page
reconnect
string
default:"true"
Reconnect

Respuestas

{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/social-media-posting/oauth/google/start' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'